package net.northking.cctp.executePlan.dto.planBatch;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>Title: BatchScriptExecDetailDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/9/25 20:09
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public class BatchScriptExecDetailDto implements Serializable {

    /**
     * 脚本编号
     */
    @ApiModelProperty("脚本编号")
    private String scriptCode;

    /**
     * 脚本名称
     */
    @ApiModelProperty("脚本名称")
    private String scriptName;

    /**
     * 用例名称
     */
    @ApiModelProperty("用例名称")
    private String caseName;

    /**
     * 用例类型
     */
    @ApiModelProperty("用例类型")
    private String caseType;

    /**
     * 耗时
     */
    @ApiModelProperty("耗时")
    private String elapsedTime;

    /**
     * 设备名称
     */
    @ApiModelProperty("设备名称")
    private String deviceName;

    /**
     * 执行状态
     */
    @ApiModelProperty("执行状态")
    private String status;

    /**
     * 失败原因
     */
    @ApiModelProperty("失败原因")
    private String errorMsg;

    public String getScriptCode() {
        return scriptCode;
    }

    public void setScriptCode(String scriptCode) {
        this.scriptCode = scriptCode;
    }

    public String getScriptName() {
        return scriptName;
    }

    public void setScriptName(String scriptName) {
        this.scriptName = scriptName;
    }

    public String getCaseName() {
        return caseName;
    }

    public void setCaseName(String caseName) {
        this.caseName = caseName;
    }

    public String getCaseType() {
        return caseType;
    }

    public void setCaseType(String caseType) {
        this.caseType = caseType;
    }

    public String getElapsedTime() {
        return elapsedTime;
    }

    public void setElapsedTime(String elapsedTime) {
        this.elapsedTime = elapsedTime;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
